using Microsoft.VisualBasic;
using Microsoft.VisualBasic.CompilerServices;
using System;
using System.ComponentModel;
using System.Diagnostics;
using System.Drawing;
using System.Management;
using System.Resources;
using System.Runtime.CompilerServices;
using System.Windows.Forms;

namespace ComputerRenameTool
{
	[DesignerGenerated]
	public class Form1 : Form
	{
		private IContainer components;

		internal virtual Button Button1
		{
			get
			{
				return this._Button1;
			}
			[MethodImpl(32)]
			set
			{
				EventHandler eventHandler = new EventHandler(this, Form1.Button1_Click);
				Button button = this._Button1;
				if (button != null)
				{
					button.remove_Click(eventHandler);
				}
				this._Button1 = value;
				button = this._Button1;
				if (button != null)
				{
					button.add_Click(eventHandler);
				}
			}
		}

		internal virtual Button Button2
		{
			get
			{
				return this._Button2;
			}
			[MethodImpl(32)]
			set
			{
				EventHandler eventHandler = new EventHandler(this, Form1.Button2_Click);
				Button button = this._Button2;
				if (button != null)
				{
					button.remove_Click(eventHandler);
				}
				this._Button2 = value;
				button = this._Button2;
				if (button != null)
				{
					button.add_Click(eventHandler);
				}
			}
		}

		internal virtual Label Label1
		{
			get;
			[MethodImpl(32)]
			set;
		}

		internal virtual Label Label2
		{
			get;
			[MethodImpl(32)]
			set;
		}

		internal virtual Label Label3
		{
			get;
			[MethodImpl(32)]
			set;
		}

		internal virtual PictureBox PictureBox1
		{
			get;
			[MethodImpl(32)]
			set;
		}

		internal virtual TextBox TextBox1
		{
			get;
			[MethodImpl(32)]
			set;
		}

		public Form1()
		{
			base.add_Load(new EventHandler(this, Form1.Form1_Load));
			this.InitializeComponent();
		}

		private void Button1_Click(object sender, EventArgs e)
		{
			this.Button1.set_Enabled(false);
			this.TextBox1.set_Enabled(false);
			try
			{
				Console.WriteLine(string.Concat("Connecting to ", this.Label2.get_Text(), " WMI Namespace"));
				ConnectionOptions connectionOption = new ConnectionOptions();
				connectionOption.set_Authentication(6);
				ManagementScope managementScope = new ManagementScope(string.Concat("\\\\", this.Label2.get_Text(), "\\root\\cimv2"), connectionOption);
				managementScope.Connect();
				Console.WriteLine("Connection Succeeded");
				Console.WriteLine(string.Concat("Renaming ", this.Label2.get_Text(), " to ", this.Label2.get_Text()));
				ManagementObject managementObject = new ManagementObject(managementScope, new ManagementPath(string.Concat("Win32_ComputerSystem.Name='", this.Label2.get_Text(), "'")), null);
				ManagementBaseObject methodParameters = managementObject.GetMethodParameters("Rename");
				methodParameters.set_Item("Name", this.TextBox1.get_Text());
				managementObject.InvokeMethod("Rename", methodParameters, null);
				Console.WriteLine("Rename Successful");
				MessageBox.Show("Computer Name Has Been Changed", "HSP RED Phoenix Information", 0, 64);
				this.Button2.set_ForeColor(Color.get_Red());
			}
			catch (ManagementException managementException1)
			{
				ProjectData.SetProjectError(managementException1);
				ManagementException managementException = managementException1;
				Console.WriteLine("Rename Failed!");
				Console.WriteLine(string.Concat("Error: ", managementException.get_Message()));
				ProjectData.ClearProjectError();
			}
			Console.WriteLine("");
			Console.WriteLine("Workstation Must Be Restarted!");
		}

		private void Button2_Click(object sender, EventArgs e)
		{
			int num = MessageBox.Show("A számítógép mindent bezár és újraindul!\r\n\r\nFolytatja?", "HSP RED Phoenix ll.", 4);
			if (num != 6)
			{
				return;
			}
			Interaction.Shell("Shutdown -r -f -t 0", 2, false, -1);
		}

		[DebuggerNonUserCode]
		protected override void Dispose(bool disposing)
		{
			try
			{
				if (disposing && this.components != null)
				{
					this.components.Dispose();
				}
			}
			finally
			{
				base.Dispose(disposing);
			}
		}

		private void Form1_Load(object sender, EventArgs e)
		{
			base.CenterToScreen();
			this.Label2.set_Text(SystemInformation.get_ComputerName());
			this.Label2.set_Left(checked(this.Label2.get_Parent().get_Width() / 2 - this.Label2.get_Width() / 2));
			if ((int)Process.GetProcessesByName("oledbparam").Length <= 0)
			{
				base.Hide();
				MessageBox.Show("The HSP Phoenix RIC Engine Security Not running! \r\nCan't Starting the DC module!", "Hacking Attempt Detected", 0, 16);
				Application.Exit();
			}
			if ((int)Process.GetProcessesByName("red_ignition").Length <= 0)
			{
				base.Hide();
				MessageBox.Show("The HSP Phoenix Engine Security Not running! \r\nCan't Starting the DC module!", "Hacking Attempt Detected", 0, 16);
				Application.Exit();
			}
		}

		[DebuggerStepThrough]
		private void InitializeComponent()
		{
			ComponentResourceManager componentResourceManager = new ComponentResourceManager(typeof(Form1));
			this.Button1 = new Button();
			this.TextBox1 = new TextBox();
			this.Label1 = new Label();
			this.Button2 = new Button();
			this.Label2 = new Label();
			this.PictureBox1 = new PictureBox();
			this.Label3 = new Label();
			this.PictureBox1.BeginInit();
			base.SuspendLayout();
			this.Button1.set_Font(new Font("Microsoft Sans Serif", 9f, 1, 3, 238));
			this.Button1.set_ForeColor(Color.get_Blue());
			this.Button1.set_Location(new Point(51, 147));
			this.Button1.set_Name("Button1");
			this.Button1.set_Size(new Size(178, 23));
			this.Button1.set_TabIndex(0);
			this.Button1.set_Text("Számítógép Átnevezése");
			this.Button1.set_UseVisualStyleBackColor(true);
			this.TextBox1.set_BackColor(Color.get_Black());
			this.TextBox1.set_Font(new Font("Microsoft Sans Serif", 8.25f, 1, 3, 238));
			this.TextBox1.set_ForeColor(Color.get_Pink());
			this.TextBox1.set_Location(new Point(34, 114));
			this.TextBox1.set_Name("TextBox1");
			this.TextBox1.set_Size(new Size(212, 20));
			this.TextBox1.set_TabIndex(1);
			this.TextBox1.set_Text("HSP-");
			this.TextBox1.set_TextAlign(2);
			this.Label1.set_AutoSize(true);
			this.Label1.set_BackColor(Color.get_Transparent());
			this.Label1.set_Font(new Font("Times New Roman", 11.25f, 1, 3, 238));
			this.Label1.set_ForeColor(Color.get_Aqua());
			this.Label1.set_Location(new Point(60, 94));
			this.Label1.set_Name("Label1");
			this.Label1.set_Size(new Size(168, 17));
			this.Label1.set_TabIndex(2);
			this.Label1.set_Text("Adja meg az új gépnevet");
			this.Button2.set_Font(new Font("Microsoft Sans Serif", 9f, 1, 3, 238));
			this.Button2.set_ForeColor(Color.get_DarkGreen());
			this.Button2.set_Location(new Point(52, 182));
			this.Button2.set_Name("Button2");
			this.Button2.set_Size(new Size(178, 23));
			this.Button2.set_TabIndex(3);
			this.Button2.set_Text("Számítógép Újraindítása");
			this.Button2.set_UseVisualStyleBackColor(true);
			this.Label2.set_Anchor(12);
			this.Label2.set_AutoSize(true);
			this.Label2.set_BackColor(Color.get_Transparent());
			this.Label2.set_Font(new Font("Microsoft Sans Serif", 9.75f, 1, 3, 238));
			this.Label2.set_ForeColor(Color.get_Gold());
			this.Label2.set_Location(new Point(12, 71));
			this.Label2.set_Name("Label2");
			this.Label2.set_Size(new Size(33, 16));
			this.Label2.set_TabIndex(4);
			this.Label2.set_Text("Info");
			this.Label2.set_TextAlign(32);
			this.PictureBox1.set_BackColor(Color.get_Transparent());
			this.PictureBox1.set_Image((Image)componentResourceManager.GetObject("PictureBox1.Image"));
			this.PictureBox1.set_Location(new Point(10, 7));
			this.PictureBox1.set_Name("PictureBox1");
			this.PictureBox1.set_Size(new Size(266, 33));
			this.PictureBox1.set_SizeMode(1);
			this.PictureBox1.set_TabIndex(5);
			this.PictureBox1.set_TabStop(false);
			this.Label3.set_Anchor(12);
			this.Label3.set_AutoSize(true);
			this.Label3.set_BackColor(Color.get_Transparent());
			this.Label3.set_Font(new Font("Microsoft Sans Serif", 9f, 1, 3, 238));
			this.Label3.set_ForeColor(Color.get_Pink());
			this.Label3.set_Location(new Point(89, 49));
			this.Label3.set_Name("Label3");
			this.Label3.set_Size(new Size(94, 15));
			this.Label3.set_TabIndex(6);
			this.Label3.set_Text("Jelenlegi Név");
			this.Label3.set_TextAlign(32);
			base.set_AutoScaleDimensions(new SizeF(6f, 13f));
			base.set_AutoScaleMode(1);
			this.set_BackColor(Color.get_Black());
			this.set_BackgroundImage((Image)componentResourceManager.GetObject("$this.BackgroundImage"));
			this.set_BackgroundImageLayout(3);
			base.set_ClientSize(new Size(281, 216));
			base.get_Controls().Add(this.Label3);
			base.get_Controls().Add(this.PictureBox1);
			base.get_Controls().Add(this.Label2);
			base.get_Controls().Add(this.Button2);
			base.get_Controls().Add(this.Label1);
			base.get_Controls().Add(this.TextBox1);
			base.get_Controls().Add(this.Button1);
			base.set_FormBorderStyle(5);
			base.set_Icon((Icon)componentResourceManager.GetObject("$this.Icon"));
			base.set_Name("Form1");
			this.set_Text("HSP RED Phoenix 3");
			this.PictureBox1.EndInit();
			base.ResumeLayout(false);
			base.PerformLayout();
		}
	}
}
