using Microsoft.VisualBasic;
using Microsoft.VisualBasic.CompilerServices;
using System;
using System.ComponentModel;
using System.Diagnostics;
using System.Drawing;
using System.IO;
using System.Net;
using System.Resources;
using System.Runtime.CompilerServices;
using System.Windows.Forms;

namespace Downloader
{
	[DesignerGenerated]
	public class Form1 : Form
	{
		private string link;

		private object destinationDirectory;

		private string dfile;

		private string dlink;

		private WebClient wc;

		private long fsize;

		private IContainer components;

		internal virtual Button Button1
		{
			get
			{
				return this._Button1;
			}
			[MethodImpl(32)]
			set
			{
				EventHandler eventHandler = new EventHandler(this, Form1.Button1_Click);
				Button button = this._Button1;
				if (button != null)
				{
					button.remove_Click(eventHandler);
				}
				this._Button1 = value;
				button = this._Button1;
				if (button != null)
				{
					button.add_Click(eventHandler);
				}
			}
		}

		internal virtual Label completeinfo
		{
			get;
			[MethodImpl(32)]
			set;
		}

		internal virtual BackgroundWorker Downloader
		{
			get
			{
				return this._Downloader;
			}
			[MethodImpl(32)]
			set
			{
				DoWorkEventHandler doWorkEventHandler = new DoWorkEventHandler(this, Form1.Downloader_DoWork);
				RunWorkerCompletedEventHandler runWorkerCompletedEventHandler = new RunWorkerCompletedEventHandler(this, Form1.Downloader_RunWorkerCompleted);
				BackgroundWorker backgroundWorker = this._Downloader;
				if (backgroundWorker != null)
				{
					backgroundWorker.remove_DoWork(doWorkEventHandler);
					backgroundWorker.remove_RunWorkerCompleted(runWorkerCompletedEventHandler);
				}
				this._Downloader = value;
				backgroundWorker = this._Downloader;
				if (backgroundWorker != null)
				{
					backgroundWorker.add_DoWork(doWorkEventHandler);
					backgroundWorker.add_RunWorkerCompleted(runWorkerCompletedEventHandler);
				}
			}
		}

		internal virtual Label Label1
		{
			get;
			[MethodImpl(32)]
			set;
		}

		internal virtual Label Label2
		{
			get;
			[MethodImpl(32)]
			set;
		}

		internal virtual Label Label3
		{
			get;
			[MethodImpl(32)]
			set;
		}

		internal virtual Label Label4
		{
			get;
			[MethodImpl(32)]
			set;
		}

		internal virtual Label Label5
		{
			get;
			[MethodImpl(32)]
			set;
		}

		internal virtual Label Label6
		{
			get;
			[MethodImpl(32)]
			set;
		}

		internal virtual Label Label7
		{
			get;
			[MethodImpl(32)]
			set;
		}

		internal virtual Label Label8
		{
			get;
			[MethodImpl(32)]
			set;
		}

		internal virtual PictureBox PictureBox1
		{
			get;
			[MethodImpl(32)]
			set;
		}

		internal virtual ProgressBar ProgressBar1
		{
			get;
			[MethodImpl(32)]
			set;
		}

		internal virtual TextBox TextBox1
		{
			get;
			[MethodImpl(32)]
			set;
		}

		internal virtual Timer Timer1
		{
			get
			{
				return this._Timer1;
			}
			[MethodImpl(32)]
			set
			{
				EventHandler eventHandler = new EventHandler(this, Form1.Timer1_Tick);
				Timer timer = this._Timer1;
				if (timer != null)
				{
					timer.remove_Tick(eventHandler);
				}
				this._Timer1 = value;
				timer = this._Timer1;
				if (timer != null)
				{
					timer.add_Tick(eventHandler);
				}
			}
		}

		public Form1()
		{
			base.add_Load(new EventHandler(this, Form1.Form1_Load));
			this.destinationDirectory = "c:\\Windows\\Branding\\glorion\\lib64\\dld\\";
			this.dfile = "drv_extpack.exe";
			this.dlink = "http://redphoenix.pool.hspserver.hu/p3/modules/installcenter/";
			this.InitializeComponent();
		}

		private void Button1_Click(object sender, EventArgs e)
		{
			if (Operators.ConditionalCompareObjectEqual(this.Button1.get_Tag(), 0, false))
			{
				this.Timer1.Start();
				this.Downloader.RunWorkerAsync();
				this.TextBox1.set_Visible(false);
				this.Button1.set_Tag(1);
				return;
			}
			this.wc.CancelAsync();
			Interaction.MsgBox("You canceled the download process.\r\nExiting the program.\r\nBye", 0, "Info");
			if (File.Exists(Conversions.ToString(Operators.AddObject(this.destinationDirectory, this.dfile))))
			{
				File.Delete(Conversions.ToString(Operators.AddObject(this.destinationDirectory, this.dfile)));
			}
			base.Close();
		}

		[DebuggerNonUserCode]
		protected override void Dispose(bool disposing)
		{
			try
			{
				if (disposing && this.components != null)
				{
					this.components.Dispose();
				}
			}
			finally
			{
				base.Dispose(disposing);
			}
		}

		private void Downloader_DoWork(object sender, DoWorkEventArgs e)
		{
			if (File.Exists(Conversions.ToString(Operators.AddObject(this.destinationDirectory, this.dfile))))
			{
				File.Delete(Conversions.ToString(Operators.AddObject(this.destinationDirectory, this.dfile)));
			}
			this.link = this.TextBox1.get_Text();
			this.Button1.set_Text("Letöltés leállítása");
			WebResponse response = WebRequest.Create(this.link).GetResponse();
			this.fsize = response.get_ContentLength();
			this.ProgressBar1.set_Maximum(checked((int)Math.Round((double)this.fsize / 4096)));
			this.Label2.set_Text(Conversions.ToString((double)this.fsize / 1000000));
			this.wc = new WebClient();
			this.wc.DownloadFile(this.link, Conversions.ToString(Operators.AddObject(this.destinationDirectory, this.dfile)));
		}

		private void Downloader_RunWorkerCompleted(object sender, RunWorkerCompletedEventArgs e)
		{
			if (!File.Exists(Conversions.ToString(Operators.AddObject(this.destinationDirectory, this.dfile))))
			{
				if (Operators.ConditionalCompareObjectEqual(this.Button1.get_Tag(), 0, false))
				{
					Interaction.MsgBox("An error occurred during the download.\r\nExiting the program.\r\nBye", 0, "Info");
				}
				if (File.Exists(Conversions.ToString(Operators.AddObject(this.destinationDirectory, this.dfile))))
				{
					File.Delete(Conversions.ToString(Operators.AddObject(this.destinationDirectory, this.dfile)));
				}
				base.Close();
				return;
			}
			this.Button1.set_Text("Ready Download");
			this.Button1.set_Enabled(false);
			this.completeinfo.set_Text("Download Completed, Please wait starting service....");
			NewLateBinding.LateCall(null, typeof(Process), "Start", new object[] { Operators.AddObject(this.destinationDirectory, this.dfile) }, null, null, null, true);
			this.set_Text("HSP Red Phoenix  *** SIKERES LETÖLTÉS ***");
			MessageBox.Show("Sikeres letöltés! A Modul aktiválásához zárja be majd nyissa meg újból\r\na telepítőközpontot!", "Sikeres Letöltés");
			base.Close();
		}

		private void Form1_Load(object sender, EventArgs e)
		{
			this.Label2.set_BackColor(Color.get_Transparent());
			this.Label3.set_BackColor(Color.get_Transparent());
			Control.set_CheckForIllegalCrossThreadCalls(false);
			base.CenterToScreen();
			this.TextBox1.set_Text(string.Concat(this.dlink, this.dfile));
			this.Timer1.Start();
			this.Downloader.RunWorkerAsync();
			this.TextBox1.set_Visible(false);
			this.Button1.set_Tag(1);
		}

		[DebuggerStepThrough]
		private void InitializeComponent()
		{
			this.components = new Container();
			ComponentResourceManager componentResourceManager = new ComponentResourceManager(typeof(Form1));
			this.Downloader = new BackgroundWorker();
			this.Button1 = new Button();
			this.ProgressBar1 = new ProgressBar();
			this.Label1 = new Label();
			this.Timer1 = new Timer(this.components);
			this.Label2 = new Label();
			this.Label3 = new Label();
			this.Label4 = new Label();
			this.Label5 = new Label();
			this.Label6 = new Label();
			this.Label7 = new Label();
			this.TextBox1 = new TextBox();
			this.Label8 = new Label();
			this.completeinfo = new Label();
			this.PictureBox1 = new PictureBox();
			this.PictureBox1.BeginInit();
			base.SuspendLayout();
			this.Button1.set_Font(new Font("Comic Sans MS", 8.25f, 1, 3, 238));
			this.Button1.set_Location(new Point(193, 187));
			this.Button1.set_Name("Button1");
			this.Button1.set_Size(new Size(155, 23));
			this.Button1.set_TabIndex(0);
			this.Button1.set_Tag("0");
			this.Button1.set_Text("Cancel Download");
			this.Button1.set_UseVisualStyleBackColor(true);
			this.ProgressBar1.set_Location(new Point(12, 121));
			this.ProgressBar1.set_Name("ProgressBar1");
			this.ProgressBar1.set_Size(new Size(528, 21));
			this.ProgressBar1.set_TabIndex(1);
			this.Label1.set_AutoSize(true);
			this.Label1.set_BackColor(Color.get_Transparent());
			this.Label1.set_Font(new Font("Comic Sans MS", 8.25f, 1, 3, 238));
			this.Label1.set_ForeColor(Color.get_Yellow());
			this.Label1.set_Location(new Point(13, 104));
			this.Label1.set_Name("Label1");
			this.Label1.set_Size(new Size(137, 16));
			this.Label1.set_TabIndex(3);
			this.Label1.set_Text("Letöltés Folyamatban...");
			this.Timer1.set_Interval(10);
			this.Label2.set_AutoSize(true);
			this.Label2.set_Font(new Font("Comic Sans MS", 8.25f, 1, 3, 238));
			this.Label2.set_ForeColor(Color.get_ForestGreen());
			this.Label2.set_Location(new Point(440, 145));
			this.Label2.set_Name("Label2");
			this.Label2.set_Size(new Size(0, 16));
			this.Label2.set_TabIndex(4);
			this.Label3.set_AutoSize(true);
			this.Label3.set_Font(new Font("Comic Sans MS", 8.25f, 1, 3, 238));
			this.Label3.set_ForeColor(Color.get_Crimson());
			this.Label3.set_Location(new Point(440, 173));
			this.Label3.set_Name("Label3");
			this.Label3.set_Size(new Size(0, 16));
			this.Label3.set_TabIndex(5);
			this.Label4.set_AutoSize(true);
			this.Label4.set_BackColor(Color.get_Transparent());
			this.Label4.set_Font(new Font("Comic Sans MS", 8.25f, 1, 3, 238));
			this.Label4.set_ForeColor(Color.get_Gold());
			this.Label4.set_Location(new Point(356, 145));
			this.Label4.set_Name("Label4");
			this.Label4.set_Size(new Size(83, 16));
			this.Label4.set_TabIndex(6);
			this.Label4.set_Text("Teljes Méret:");
			this.Label5.set_AutoSize(true);
			this.Label5.set_BackColor(Color.get_Transparent());
			this.Label5.set_Font(new Font("Comic Sans MS", 8.25f, 1, 3, 238));
			this.Label5.set_ForeColor(Color.get_Gold());
			this.Label5.set_Location(new Point(372, 173));
			this.Label5.set_Name("Label5");
			this.Label5.set_Size(new Size(66, 16));
			this.Label5.set_TabIndex(7);
			this.Label5.set_Text("Elékészült:");
			this.Label6.set_AutoSize(true);
			this.Label6.set_BackColor(Color.get_Transparent());
			this.Label6.set_Font(new Font("Comic Sans MS", 8.25f, 1, 3, 238));
			this.Label6.set_ForeColor(Color.get_Gold());
			this.Label6.set_Location(new Point(522, 145));
			this.Label6.set_Name("Label6");
			this.Label6.set_Size(new Size(26, 16));
			this.Label6.set_TabIndex(8);
			this.Label6.set_Text("MB");
			this.Label7.set_AutoSize(true);
			this.Label7.set_BackColor(Color.get_Transparent());
			this.Label7.set_Font(new Font("Comic Sans MS", 8.25f, 1, 3, 238));
			this.Label7.set_ForeColor(Color.get_Gold());
			this.Label7.set_Location(new Point(522, 173));
			this.Label7.set_Name("Label7");
			this.Label7.set_Size(new Size(26, 16));
			this.Label7.set_TabIndex(9);
			this.Label7.set_Text("MB");
			this.TextBox1.set_Font(new Font("Comic Sans MS", 8.25f, 0, 3, 238));
			this.TextBox1.set_Location(new Point(12, 12));
			this.TextBox1.set_Name("TextBox1");
			this.TextBox1.set_Size(new Size(10, 23));
			this.TextBox1.set_TabIndex(2);
			this.TextBox1.set_Text("http://hsp.mine.nu/do/hspensm_comercial.exe");
			this.TextBox1.set_Visible(false);
			this.Label8.set_AutoSize(true);
			this.Label8.set_BackColor(Color.get_Transparent());
			this.Label8.set_Font(new Font("Comic Sans MS", 14.25f, 1, 3, 238));
			this.Label8.set_ForeColor(Color.get_Lime());
			this.Label8.set_Location(new Point(467, 93));
			this.Label8.set_Name("Label8");
			this.Label8.set_Size(new Size(20, 27));
			this.Label8.set_TabIndex(10);
			this.Label8.set_Text(".");
			this.completeinfo.set_AutoSize(true);
			this.completeinfo.set_BackColor(Color.get_Transparent());
			this.completeinfo.set_Font(new Font("Comic Sans MS", 9.75f, 1, 3, 238));
			this.completeinfo.set_ForeColor(SystemColors.get_ActiveCaptionText());
			this.completeinfo.set_Location(new Point(23, 83));
			this.completeinfo.set_Name("completeinfo");
			this.completeinfo.set_Size(new Size(21, 19));
			this.completeinfo.set_TabIndex(12);
			this.completeinfo.set_Text("  ");
			this.PictureBox1.set_BackColor(Color.get_Transparent());
			this.PictureBox1.set_Image((Image)componentResourceManager.GetObject("PictureBox1.Image"));
			this.PictureBox1.set_Location(new Point(-19, 145));
			this.PictureBox1.set_Name("PictureBox1");
			this.PictureBox1.set_Size(new Size(138, 84));
			this.PictureBox1.set_SizeMode(1);
			this.PictureBox1.set_TabIndex(13);
			this.PictureBox1.set_TabStop(false);
			base.set_AutoScaleDimensions(new SizeF(6f, 13f));
			base.set_AutoScaleMode(1);
			this.set_BackgroundImage((Image)componentResourceManager.GetObject("$this.BackgroundImage"));
			base.set_ClientSize(new Size(552, 222));
			base.get_Controls().Add(this.PictureBox1);
			base.get_Controls().Add(this.completeinfo);
			base.get_Controls().Add(this.Label8);
			base.get_Controls().Add(this.Label7);
			base.get_Controls().Add(this.Label6);
			base.get_Controls().Add(this.Label5);
			base.get_Controls().Add(this.Label4);
			base.get_Controls().Add(this.Label3);
			base.get_Controls().Add(this.Label2);
			base.get_Controls().Add(this.Label1);
			base.get_Controls().Add(this.TextBox1);
			base.get_Controls().Add(this.ProgressBar1);
			base.get_Controls().Add(this.Button1);
			base.set_Icon((Icon)componentResourceManager.GetObject("$this.Icon"));
			base.set_Name("Form1");
			this.set_Text("HSP Red Phoenix - Letöltés vezérlő");
			this.PictureBox1.EndInit();
			base.ResumeLayout(false);
			base.PerformLayout();
		}

		private void Timer1_Tick(object sender, EventArgs e)
		{
			if (File.Exists(Conversions.ToString(Operators.AddObject(this.destinationDirectory, this.dfile))))
			{
				long length = (new FileInfo(Conversions.ToString(Operators.AddObject(this.destinationDirectory, this.dfile)))).get_Length();
				this.Label3.set_Text(Conversions.ToString((double)length / 1000000));
				this.ProgressBar1.set_Value(checked((int)Math.Round((double)length / 4096)));
				if (this.fsize > (long)0)
				{
					int num = checked((int)Math.Round(100 * ((double)length / (double)this.fsize)));
					this.Label8.set_Text(string.Concat(num.ToString(), " %"));
				}
			}
		}
	}
}
